Subject: Re: linux-next: Tree for December 27

From: Mark Brown <[email-masked]>
Date: Mon, 27 Dec 2010 15:38:43 +0000

On Tue, Dec 28, 2010 at 02:20:27AM +1100, Stephen Rothwell wrote:

> I got this error after merging the sound tree:

> ERROR: "__tracepoint_snd_soc_jack_irq" [sound/soc/codecs/snd-soc-wm8962.ko] undefined!

> after that, I merged the old version of the sound tree.  I then merged
> the sound-asoc tree and go the same error.  I presumed that you had fixed
> the other error:

> ERROR: "__tracepoint_snd_soc_jack_irq" [sound/soc/codecs/snd-soc-wm8903.ko] undefined!

> in the sound-asoc tree and then that version of the sound-asoc tree had
> been merged into the sound tree.

To my knowledge I'd fixed everything.  However, it looks like there's a
typo in the wm8962 ifdef to work around the x86 failure which was
causing the problem; since you hadn't mentioned that you'd encountered
any issue after I'd done the previous fix I'd no idea that this had
happened and it had appeared that the problem with Takashi's tree was
simply that he'd not merged up the fix.

Fixed now, anyway.  Please do report if you see any more issues.